Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# NetworkObject.cpp File Reference

NetworkObject Implementation. More...

`#include "NetworkObject.h"`
`#include "RakServerInterface.h"`
`#include "RakClientInterface.h"`
`#include "DistributedNetworkObjectManager.h"`

## Functions
int | operator== (const ObjectIDNode &left, const ObjectIDNode &right)
int | operator> (const ObjectIDNode &left, const ObjectIDNode &right)
int | operator< (const ObjectIDNode &left, const ObjectIDNode &right)
NetworkObject * | GET_OBJECT_FROM_ID (unsigned short x)

## Detailed Description

NetworkObject Implementation.

This file is part of RakNet Copyright 2003, 2004 Rakkarsoft LLC and Kevin Jenkins.

Usage of Raknet is subject to the appropriate licence agreement. "Shareware" Licensees with Rakkarsoft LLC are subject to the shareware license found at http://www.rakkarsoft.com/shareWareLicense.html which you agreed to upon purchase of a "Shareware license" "Commercial" Licensees with Rakkarsoft LLC are subject to the commercial license found at http://www.rakkarsoft.com/sourceCodeLicense.html which you agreed to upon purchase of a "Commercial license" All other users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Refer to the appropriate license agreement for distribution, modification, and warranty rights.

## Function Documentation

NetworkObject* GET_OBJECT_FROM_ID | ( | unsigned short | x | ) |

int operator< | ( | const ObjectIDNode & | left,
|  | const ObjectIDNode & | right
| ) |

  | Test if one node is lesser than the other Parameters:
  | left | a node
  | right | a node
Returns: True if left is lesser than right

int operator== | ( | const ObjectIDNode & | left,
|  | const ObjectIDNode & | right
| ) |

  | Test if two nodes are equals Parameters:
  | left | a node
  | right | a node
Returns: true if the nodes are the same

int operator> | ( | const ObjectIDNode & | left,
|  | const ObjectIDNode & | right
| ) |

  | Test if one node is greater than the other Parameters:
  | left | a node
  | right | a node
Returns: True if left is greater than right